"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NodeConsoleDao_1 = require("../../../driven/db/NodeConsoleDao");
const NodeConsoleLedgerService_1 = require("../NodeConsoleLedgerService");
jest.mock('@jfrog-pipelines/configuration', () => {
    return {
        ConfigFactory: {
            config: { isSaaS: false }
        }
    };
});
describe('NodeConsoleLedgerService', () => {
    const consoleMessage = 'checkConsoleMessage';
    const nodeId = 1;
    const nodeConsoleLedgerService = new NodeConsoleLedgerService_1.NodeConsoleLedgerService();
    it('should add node console to nodeConsole table', async () => {
        const expectConsoleLog = {
            nodeId: nodeId,
            consoleId: expect.any(String),
            parentConsoleId: 'root',
            isShown: true,
            type: 'msg',
            timestamp: expect.any(Number),
            message: consoleMessage
        };
        jest.spyOn(NodeConsoleDao_1.NodeConsoleDao.prototype, 'create').mockImplementation(jest.fn());
        await nodeConsoleLedgerService.push(consoleMessage, nodeId);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.create).toHaveBeenCalledTimes(1);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.create).toHaveBeenCalledWith(expectConsoleLog);
    });
    it('should delete console log based on node id', async () => {
        const expectedQuery = {
            where: {
                nodeId: nodeId
            }
        };
        jest.spyOn(NodeConsoleDao_1.NodeConsoleDao.prototype, 'delete').mockImplementation(jest.fn());
        await nodeConsoleLedgerService.deleteByNodeId(nodeId);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.delete).toHaveBeenCalledTimes(1);
        expect(NodeConsoleDao_1.NodeConsoleDao.prototype.delete).toHaveBeenCalledWith(expectedQuery);
    });
});
//# sourceMappingURL=NodeConsoleService.test.js.map