"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NodePoolDao_1 = require("../../../driven/db/NodePoolDao");
const NodePoolService_1 = require("../NodePoolService");
describe('Test NodePooService getNodePool', () => {
    it('should return valid node pool if id is found', async () => {
        const nodePoolDao = new NodePoolDao_1.NodePoolDao();
        const nodePoolService = new NodePoolService_1.NodePoolService();
        const expectedResponse = { id: 1, projectId: 1, name: 'test' };
        const findByIdMock = jest.spyOn(NodePoolDao_1.NodePoolDao.prototype, 'findById').mockResolvedValueOnce(expectedResponse);
        const nodePool = await nodePoolService.getNodePool(1);
        expect(nodePoolDao.findById).toHaveBeenCalled();
        expect(nodePool).toBe(expectedResponse);
        findByIdMock.mockClear();
    });
});
//# sourceMappingURL=NodePoolService.test.js.map