"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const microservice_1 = require("@jfrog-pipelines/microservice");
const StepDataAdapterFactory_1 = require("../StepDataAdapterFactory");
jest.mock('@jfrog-pipelines/configuration', () => {
    return {
        ConfigFactory: { config: { apiToken: 'apitoken' } }
    };
});
describe('StepServiceDataAdapterFactory', () => {
    it('should create the adapter with type api', () => {
        const adapter = StepDataAdapterFactory_1.StepDataAdapterFactory.create(microservice_1.AclAdapterDi.api);
        expect(adapter).toBeDefined();
    });
    it('should throw error if invalid stepservice di is passed', () => {
        expect(() => StepDataAdapterFactory_1.StepDataAdapterFactory.create(microservice_1.AclAdapterDi.database)).toThrow('Invalid Type provided');
    });
});
//# sourceMappingURL=StepServiceDataAdapterFactory.test.js.map