"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeInitScriptGet = void 0;
const types_1 = require("@jfrog-pipelines/types");
exports.NodeInitScriptGet = {
    tags: ['Node'],
    description: 'download node init script for static nodes',
    params: types_1.NodeIdParameters,
    querystring: types_1.NodePoolIdsQuerySchema,
    response: {
        200: {
            description: 'Node init file was downloaded',
            content: {
                'text/plain': {
                    schema: {
                        type: 'string'
                    }
                }
            }
        },
        400: {
            description: 'bad request for node init file',
            content: {
                'application/json': {
                    schema: types_1.ErrorSchema
                }
            }
        },
        404: {
            description: 'node init file not found',
            content: {
                'application/json': {
                    schema: types_1.ErrorSchema
                }
            }
        },
        500: {
            description: 'Internal Server Error',
            content: {
                'application/json': {
                    schema: types_1.ErrorSchema
                }
            }
        }
    },
    headers: {
        type: 'object',
        properties: {
            'content-disposition': { type: 'string' },
            'content-type': { type: 'string' }
        }
    }
};
//# sourceMappingURL=NodeSchemaV1.js.map