"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeV1Route = void 0;
const NodeController_1 = require("../../../feature/node/NodeController");
const NodeStatsSchemaV1_1 = require("./NodeStatsSchemaV1");
const NodeConsoleSchemaV1_1 = require("./NodeConsoleSchemaV1");
const NodeSchemaV1_1 = require("./NodeSchemaV1");
class NodeV1Route {
    register(httpServer) {
        const nodeController = new NodeController_1.NodeController();
        httpServer.post('/nodes/:nodeId/stats', { schema: NodeStatsSchemaV1_1.NodeStatsPost }, (request, response) => nodeController.addNodeStats(request, response));
        httpServer.get('/nodes/:nodeId/stats', { schema: NodeStatsSchemaV1_1.NodeStatsGet }, (request, response) => nodeController.getNodeStats(request, response));
        httpServer.post('/nodes/:nodeId/console', { schema: NodeConsoleSchemaV1_1.NodeConsolePost }, (request, response) => nodeController.addNodeConsole(request, response));
        httpServer.get('/nodes/:nodeId/console', { schema: NodeConsoleSchemaV1_1.NodeConsoleGet }, (request, response) => nodeController.getNodeConsole(request, response));
        httpServer.get('/nodes/:nodeId/init_script', { schema: NodeSchemaV1_1.NodeInitScriptGet }, (request, response) => nodeController.getNodeScript(request, response));
    }
}
exports.NodeV1Route = NodeV1Route;
//# sourceMappingURL=NodeV1Route.js.map