"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const expect_1 = __importDefault(require("expect"));
const NodeStatsCleanupHandler_1 = require("../NodeStatsCleanupHandler");
const StatsDomainService_1 = require("../../../domain/node-stats/StatsDomainService");
const NodeStatsCleanupCommand_1 = require("../../../driving/command/NodeStatsCleanupCommand");
jest.mock('@jfrog-pipelines/configuration', () => {
    return {
        ConfigFactory: { config: { allowDynamicNodes: true, allowCustomNodes: true } }
    };
});
jest.mock('@jfrog-pipelines/redis', () => {
    const actualRedis = jest.requireActual('@jfrog-pipelines/redis');
    return {
        ...actualRedis,
        RedisClientFactory: {
            client: {}
        }
    };
});
describe('NodeStatsHandler', () => {
    it('should delete nodeStats as payload is valid', async () => {
        const nodeStatHandler = new NodeStatsCleanupHandler_1.NodeStatsCleanupHandler(new NodeStatsCleanupCommand_1.NodeStatsCleanupCommand());
        const deleteNodeStatsSpy = jest.spyOn(StatsDomainService_1.StatsDomainService.prototype, 'deleteNodeStats').mockResolvedValueOnce(1);
        await nodeStatHandler.handle();
        (0, expect_1.default)(deleteNodeStatsSpy).toHaveBeenCalledTimes(1);
    });
});
//# sourceMappingURL=NodeStatsCleanupHandler.test.js.map